> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sso Connection

> Update fields on an existing SSO connection.



## OpenAPI

````yaml /openapi.json patch /v1/sso/connections/{connection_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/sso/connections/{connection_id}:
    patch:
      tags:
        - sso
      summary: Update Sso Connection
      description: Update fields on an existing SSO connection.
      operationId: update_sso_connection_v1_sso_connections__connection_id__patch
      parameters:
        - in: path
          name: connection_id
          required: true
          schema:
            title: Connection Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSSOConnectionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateSSOConnectionRequest:
      properties:
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret
        metadata_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Metadata Url
        name:
          anyOf:
            - maxLength: 100
              minLength: 1
              type: string
            - type: 'null'
          title: Name
        provider:
          anyOf:
            - enum:
                - saml
                - oidc
                - google
                - microsoft
                - okta
              type: string
            - type: 'null'
          title: Provider
        status:
          anyOf:
            - enum:
                - active
                - inactive
              type: string
            - type: 'null'
          title: Status
      title: UpdateSSOConnectionRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````